.contenedor{
    background-color: bisque;
    width: 100%;
    display: grid;
    grid-template-rows: 100px 200px 200px 100px;
    grid-template-columns: repeat(6,1fr);
    gap:10px;
    grid-template-areas: 
    "cabeza cabeza cabeza cabeza cabeza cabeza"
    ". menu menu menu barra ."
    ". uno uno dos dos ."
    "pie pie pie pie pie pie";
}
.cabeza{
    background-color: aquamarine;
    grid-area: cabeza;
}

.pie{
    background-color: aqua;
    grid-area: pie;
}

.menu{
    background-color: crimson;
    grid-area: menu;
}

.uno{
    background-color: orangered;
    grid-area: uno;
}
.dos{
    background-color: orangered;
    grid-area: dos;
}
.barra{
    background-color: blueviolet;
    grid-area: barra;
}

@media all and (max-width: 800px){
    .contenedor{
        grid-template-areas: 
        "cabeza cabeza cabeza cabeza cabeza cabeza"
        "menu menu menu menu barra barra"
        "uno uno uno dos dos dos"
        "pie pie pie pie pie pie";
    }
}

/*.cabeza{
    background-color: aquamarine;
    grid-column: 1/7;
}

.pie{
    background-color: aqua;
    grid-column: 1/7;
}

.menu{
    background-color: crimson;
    grid-column: 2/5;
}

.uno, .dos{
    background-color: orangered;
}
.uno{
    grid-column: 2/4;
}
.dos{
    grid-column: 4/6;
}

.barra{
    background-color: blueviolet;
    grid-column: 5/6;
}*/

